
QGIS Application - Bug report #14247

can't merge features if restrictive foreign key in place 

2016-02-08 04:09 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.5 Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 22243

Description

I merged two features, a new one and an old one, keeping the attributes of the one that was already in the database.

I expected QGIS to add the merged feature before deleting the old one but instead it tries to delete the old one first and fails because that

would cascade to a table with a restrictive FK. Is this intended and if so does this mean I have to drop the FK when I want to merge or can

this behaviour be improved?

Related issues:

Related to QGIS Application - Bug report # 6422: QGIS delete Postgis features... Closed 2012-09-27

History

#1 - 2016-02-25 09:51 AM - Jürgen Fischer

- Status changed from Open to Feedback

Conflicts #6422...

#2 - 2016-05-23 08:17 AM - Giovanni Manghi

Jürgen Fischer wrote:

Conflicts #6422...

should we closed this ticket then?

#3 - 2016-05-23 08:42 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for the lack of feedback

2024-04-25 1/1


